EDIT - feature request #9204

Update cdmlib and taxeditor dependencies

08/20/2020 12:07 AM - Andreas Miller

Start date:
Due date:

% Done:

Estimated time:

100%
0:00 hour

Status: Closed

Priority: New

Assignee: Andreas Mller

Category: cdmlib

Target version: Release 5.18

Severity: normal

Description

mvn versions:display-dependency-updates

mvn
mvn
mvn
een

dependency:tree
dependency:tree -Dscope=compile

org.apache.maven.plugins:maven-dependency-plugin:2.10:tree -Dverbose=true (verbose flag has b

removed in 3.0 (https://maven.apache.org/plugins/maven—-dependency-plugin/examples/resolving-co

nflicts-using-the-dependency-tree.html)

mvn

dependency:analyze

taxeditor.cdmlib dependencies should use cdmlib-io dependencies. Dependencies from cdmlib-remote, cdmlib-print, etc. should only

be mentioned in the according plugins like taxeditor.print.

Also database related dependencies should only go to taxeditor.webapp (once #9189 is implemented)

important:

e spring-security-oauth2 2.0.11.RELEASE => 2.5.0.RELEASE

e xerceslmpl 2.11.0 => 2.12.0

¢ hibernate-validator 5.2.2.Final => 6.1.5.Final with new groupld org.hibernate.validator (before it was org.hibernate)

o slf4j 1.7.13 => 1.7.30

o jboss-logging 3.3.0.Final => 3.4.1.Final
o classmate 1.3.1 =>1.5.1

o javax.el-api =>2.2.5 => 3.0.0

o validation-api 1.1.0.Final => 2.0.1.Final

others:

e cglib and cglib-nodep (#9206)
e ehcache (#9207, there are open issues)
e jackson 2.10.2 =>2.11.2

TODO:

¢ remove cdmlib-persistence from taxeditor dependencies (also removes hibernate dependencies) (#9208)
e upgrade to hibernate >5.1

e remove apache-log4j-extras from taxeditor #9205

Related issues:

Related to EDIT - feature request #4716: Other dependencies to be updated

Related to EDIT - task #9205: Remove apache-log4j-extras from TaxEditor depen...

Related to EDIT - feature request #9190: Make taxeditor.local a loadable plug...

Related to EDIT - task #9189: Move datasource view to taxeditor.local

Related to EDIT - feature request #9154: Further reduce TaxEditor size by cle...
Related to EDIT - task #9206: Solve cglib vs. cglib-nodep
Related to EDIT - task #9208: Move cdmlib-print and cdmib-remote to taxeditor...

Related to EDIT - feature request #9341: Move local datasource access fully t...

Related to EDIT - bug #9351: Include new locations for cdmlib-print and cdmli...
https://dev.e-taxonomy.eu/redmine/issues/9189
https://dev.e-taxonomy.eu/redmine/issues/9206
https://dev.e-taxonomy.eu/redmine/issues/9207
https://dev.e-taxonomy.eu/redmine/issues/9208
https://dev.e-taxonomy.eu/redmine/issues/9205

Related to EDIT - bug #6025: Remaining open issues for cdmlib-db

Copied to EDIT - task #9359: Update cdmlib, taxeditor, cdmserver etc. depende...

New
Closed

Associated revisions

Revision 62362816 - 08/20/2020 09:00 AM - Andreas Miiller
upgrade spring-security-oauth2.version 2.0.11.RELEASE -> 2.3.5.RELEASE

Revision 3f90c88c - 08/20/2020 09:00 AM - Andreas Miiller

upgrade jackson.version 2.10.2 -> 2.11.2

Revision a3e8e275 - 08/20/2020 09:00 AM - Andreas Miiller
upgrade xerceslmpl 2.11.0 -> 2.12.0

Revision 92571110 - 08/20/2020 11:14 AM - Andreas Miiller
ref #9204 upgrade hibernate validator to 6.1.5 (and dependencies)

Revision 2ba5230c - 08/20/2020 11:16 AM - Andreas Muller

ref #9204 some doc on updated versions

Revision c701a631 - 08/20/2020 12:20 PM - Andreas Miiller
ref #9204 try to fix ClassNotFound by defining fixed jakarta.validation-api

Revision 9fa20047 - 08/20/2020 01:05 PM - Andreas Miiller

ref #9204 exclude javaee-api to avoid BootstrapConfiguration version problem

Revision e0b57a80 - 08/20/2020 01:25 PM - Andreas Miiller

ref #9204 some doc on javaee-api

Revision 765bd4c4 - 08/20/2020 02:07 PM - Andreas Miuller

ref #9204 upgrade jackson libraries in taxeditor

Revision f52bec28 - 08/20/2020 02:11 PM - Andreas Miiller

ref #9204 upgrade xerces in taxeditor

Revision 8ac85f21 - 08/20/2020 02:14 PM - Andreas Miiller

ref #9204 remove old xerces version from taxeditor (cont)

Revision eb691546 - 08/20/2020 06:09 PM - Andreas Miiller

ref #9204 update spring to 4.3.28, spring security to 4.2.18 and spring secur oauth2 to 2.5.0 and dependent aspectj and servlet-api

Revision ddecba6a - 08/20/2020 07:42 PM - Andreas Miiller

ref #9204 upgrade hibernate-validation and libraries in taxeditor

Revision 075cdc06 - 08/20/2020 07:42 PM - Andreas Miiller

ref #9204 upgrade spring and spring-security and its libraries in taxeditor

Revision 6aledalc - 08/21/2020 01:37 AM - Andreas Miiller
ref #9204 update further libraries in cdmlib

Revision e854950f - 08/21/2020 11:23 AM - Andreas Miiller

ref #9204 solve google collections conflict

Revision 33355¢3 - 08/21/2020 11:31 AM - Andreas Miiller

ref #9204 remove commons-lang2 from cdmlib dependencies

Revision 3dfc2334 - 08/21/2020 01:24 PM - Andreas Miiller

04/25/2024

2/12



ref #9204 upgrade and remove further libraries in taxeditor (including commons-lang und unitils)

Revision 1047f42e - 08/21/2020 01:37 PM - Andreas Miiller

ref #9204 remove jaxen from cdmlib dependencies

Revision 3d5bd11a - 08/21/2020 02:06 PM - Andreas Miiller

ref #9204 reattache commons-lang-2.6 to taxeditor

Revision bf141f4d - 08/21/2020 02:31 PM - Andreas Miiller

ref #9204 reattache commons-lang-2.6 to taxeditor (cont)

Revision 18867dc3 - 08/21/2020 02:48 PM - Andreas Miiller

ref #9204 reattache commons-lang-2.6 to taxeditor (cont. Il)

Revision 46812ea4 - 08/21/2020 03:20 PM - Andreas Miiller
ref #9204 add c3p0 to tests

Revision dc1c8ae4 - 08/21/2020 03:48 PM - Andreas Miiller

ref #9204 reattache c3p0 to taxeditor main and revert unitils version to 3.4.2

Revision 0529417 - 08/21/2020 07:25 PM - Andreas Miiller

ref #9204 remove ognl from taxeditor

Revision 0a6d105e - 08/21/2020 07:29 PM - Andreas Miiller

ref #9204 remove dbunit from taxeditor.cdmlib and upgrade to 2.7.0 in taxeditor.test

Revision a6¢945f3 - 08/21/2020 07:43 PM - Andreas Miiller
ref #9204 revert dbunit in taxeditor.test to 2.4.9

Revision fd96628e - 08/21/2020 07:59 PM - Andreas Miiller

ref #9204 remove xmlunit from taxeditor.cdmlib

Revision 6871883 - 08/21/2020 08:07 PM - Andreas Miiller

ref #9204 remove jsr250-api from taxeditor.cdmlib

Revision 7eaa859b - 08/21/2020 08:12 PM - Andreas Miiller

cleanup and ref #9204 bin.includes for unitils back to 3.4.2 in taxeditor.test

Revision e9e3bd0b - 08/21/2020 09:04 PM - Andreas Miiller

ref #9204 remove batik libraries from taxeditor.cdmlib

Revision 6d4486de - 08/21/2020 09:34 PM - Andreas Miuller
ref #9204 remove batik from cdmlib

Revision 4aa4447f - 08/21/2020 09:57 PM - Andreas Miiller
ref #9204 switch jdom and jdom2 to dependency in taxeditor.cdmlib

Revision 37dc0842 - 08/21/2020 10:44 PM - Andreas Miiller

ref #9204 switch jdom and jdom2 to dependency in taxeditor.cdmlib and upgrade poi with dependencies

Revision f27¢c8b65 - 08/21/2020 11:03 PM - Andreas Miiller
ref #9204 upgrade jaxb-api in taxeditor.cdmlib

Revision b54eeb32 - 08/21/2020 11:11 PM - Andreas Muller

ref #9204 remove xml-resolver from taxeditor.cdmlib

Revision a5fbc297 - 08/21/2020 11:16 PM - Andreas Miiller
ref #9204 remove xml-resolver from cdmlib

Revision 2c9b6fea - 08/21/2020 11:37 PM - Andreas Miiller

ref #9204 revert xml-resolver removing from cdmlib but move to io

Revision 759269b6 - 08/21/2020 11:44 PM - Andreas Miiller

ref #9204 fix io-pom and upgrade openscv

Revision 86e2a871 - 08/21/2020 11:49 PM - Andreas Miiller
ref #9204 revert upgrade openscv

Revision 39ec51c¢6 - 08/22/2020 12:00 AM - Andreas Miiller

ref #9204 switch opencsv to dependency in taxeditor.cdmlib

Revision ab2607f8 - 08/22/2020 12:21 AM - Andreas Miiller

ref #9204 upgrade joda-time and switch to dependency in taxeditor.cdmlib

Revision 3542367 - 08/22/2020 12:27 AM - Andreas Miiller

ref #9204 upgrade joda-time and switch to dependency in taxeditor.cdmlib (cont.)

Revision a69309b2 - 08/22/2020 12:28 AM - Andreas Miiller

ref #9204 remove wsdl4j from taxeditor.cdmlib

Revision 4c3e4cf6 - 08/22/2020 12:49 AM - Andreas Miiller

ref #9204 remove redmine-java-api from taxeditor.cdmlib

Revision d9f3dc6a - 08/22/2020 02:00 AM - Andreas Miiller
ref #9204 upgrade to hibernate 5.0.12 in cdmlib

Revision c3cfe0b5 - 08/22/2020 10:21 AM - Andreas Miiller
ref #9204 revert upgrade to hibernate 5.0.12 in cdmlib

Revision 8abb738b - 08/22/2020 11:41 AM - Andreas Miiller

ref #9204 remove hibernate-search 4.x libraries from taxeditor

Revision 40d7b9fa - 08/22/2020 11:42 AM - Andreas Miiller

ref #9204 remove hibernate-envers from taxeditor

Revision f967c042 - 08/24/2020 09:54 AM - Andreas Miiller
ref #9204 update to hibernate 5.1.17 in cdmlib

Revision d5¢136f0 - 08/24/2020 09:59 AM - Andreas Miiller

ref #9204 reattache hibernate-envers, upgrade to hibernate 5.1.17 and move hibernate to pom

Revision 44924a2d - 08/24/2020 10:40 AM - Andreas Miuller
ref #9204 remove hibernate 5.0.7 files

Revision 57b03f79 - 08/24/2020 11:36 AM - Andreas Miiller

ref #9204 use version property for hibernate in taxeditor.cdmlib

Revision 26a3197a - 08/24/2020 11:37 AM - Andreas Miiller

ref #9204 remove avro library from taxeditor.cdmlib

Revision 4¢4840b9 - 08/24/2020 01:09 PM - Andreas Miiller

ref #9204 fix hibernate version number in taxeditor.cdmlib

Revision afc6aec4 - 08/24/2020 01:11 PM - Andreas Miiller
ref #9204 move apache-log4j-extras to pom in taxeditor.cdmlib

Revision 3f8d323d - 08/24/2020 01:12 PM - Andreas Miiller

ref #9204 move apache-log4j-extras to pom in taxeditor.cdmlib (cont.)

Revision d73892e7 - 08/24/2020 01:28 PM - Andreas Miiller

ref #9204 remove actiavtion-1.1.1 from cdmlib

Revision 2085dc3 - 08/24/2020 01:30 PM - Andreas Miiller

ref #9204 move apache-log4j-extras to pom in taxeditor.cdmlib (cont. Il)

Revision b1942d80 - 08/24/2020 01:33 PM - Andreas Miller

ref #9204 remove activation-1.1.1 from taxeditor.cdmlib

Revision becec71c - 08/24/2020 01:47 PM - Andreas Miiller

ref #9204 move antlr to pom in taxeditor.cdmlib

Revision e88eb110 - 08/25/2020 10:45 AM - Andreas Miuller

ref #9204 move antlr to pom in taxeditor.cdmlib (cont.)

Revision 9¢ca50199 - 08/25/2020 10:47 AM - Andreas Miiller

ref #9204 update overridden AbstractPersistentCollection class to hibernate 5.1.17

Revision 68144e34 - 08/25/2020 12:50 PM - Andreas Miiller

ref #9204 revert changes to AbstractPersistentCollection, only keep new serialVersionUID (for doing it step by step)

Revision db8899fb - 08/25/2020 12:50 PM - Andreas Miiller

ref #9204 uncritical updates to AbstractPersistentCollection

Revision 49289293 - 08/25/2020 12:56 PM - Andreas Miiller
ref #9204 change logger in AbstractPersistentCollection

Revision 3b868cb0 - 08/25/2020 01:36 PM - Andreas Miuller

ref #9204 further uncritical updates to AbstractPersistentCollection

Revision 93186f1a - 08/25/2020 01:56 PM - Andreas Miiller

ref #9204 probably uncritical updates to AbstractPersistentCollection

Revision c44864dc - 08/25/2020 02:37 PM - Andreas Miiller

ref #9204 further uncritical updates to AbstractPersistentCollection

Revision 445d2b80 - 08/25/2020 02:39 PM - Andreas Miuller

ref #9204 final changes to AbstractPersistentCollection (also seem to be not really critical)

Revision 78716654 - 08/25/2020 02:43 PM - Andreas Miiller

ref #9204 uncritical minor final changes to AbstractPersistentCollection

Revision aa3f1652 - 08/25/2020 03:15 PM - Andreas Miiller

ref #9204 some more documentation on how to handle AbstractPersistentCollection

Revision f4934ec3 - 08/25/2020 04:53 PM - Andreas Miiller

ref #9204 , ref #9206 remove hibernate-cglib-repack from cdmlib-remote

Revision b6b49fc9 - 08/25/2020 05:08 PM - Andreas Miiller
ref #9204 fully remove hsqldb dependency

Revision 07520d1a - 08/25/2020 05:09 PM - Andreas Miiller
ref #9204 remove cglib dependency management from cdmlib, only cglib-nodep is used

Revision 220a3f38 - 08/25/2020 05:13 PM - Andreas Miiller
ref #9204, ref #9206 cglib from taxeditor.cdmlib, move cglib-nodep to pom

Revision ed59dfa5 - 08/25/2020 05:34 PM - Andreas Miller
ref #9206, ref #9204 exclude cglib dependency from unitils-easymock

Revision aee6b479 - 08/25/2020 05:58 PM - Andreas Miiller

ref #9207, ref #9204 remove hibernate-ehcache from cdmlib-remote dependencies

Revision 87616e6e - 08/25/2020 06:10 PM - Andreas Miiller

ref #9207, ref #9204 upgrade ehcache-core to ehcache 2.10.6 (further upgrade to 3.8.1 is planned, but has different groupld)

Revision 806f96a2 - 08/25/2020 07:02 PM - Andreas Miiller
ref #9207 , ref #9204 upgrade taxeditor.cdmlib to ehcache-2.10.6

Revision 62c4ea8a - 08/25/2020 10:34 PM - Andreas Miiller
ref #9204 , ref #9208 move cdmlib-remote and cdmlib-print to taxeditor.printpublisher

Revision be878f5d - 08/25/2020 10:35 PM - Andreas Miiller

ref #9204 cleanup ignores in taxeditor gitignore

Revision 255a8¢7f - 08/25/2020 11:34 PM - Andreas Miiller

ref #9204 remove springsource -aopalliance and c-ommons.logging from taxeditor.cdmlib

Revision 1ea29dbc - 08/26/2020 12:04 AM - Andreas Miiller

ref #9204 update spring schema version in some spring configuration files

Revision eb97fe00 - 08/26/2020 12:12 AM - Andreas Miiller

ref #9204 remove icu4j from taxeditor.cdmlib

Revision e6¢c6e2f3 - 08/26/2020 12:17 AM - Andreas Miiller

ref #9204 remove jaxb1-impl from taxeditor.cdmlib

Revision 17e363d2 - 08/26/2020 10:35 AM - Andreas Miuller

ref #9204 remove commons-dbcp from persistence-pom as NomenclaturalCodeAwareDataSource does not exist anymore

Revision 327bb2c2 - 08/26/2020 10:38 AM - Andreas Miiller

ref #9204, ref #6714 remove antrun-plugin for EnversHibernateToolTask in cdmlib-persistence

Revision 3d7c¢15ff - 08/26/2020 10:40 AM - Andreas Miiller

ref #9204 remove slf4j-log4j12 from persistence pom as it exists in cdmlib-model already

Revision eddb8b4e - 08/26/2020 12:18 PM - Andreas Miiller

ref #9204 revert removing commons-dbcp from persistence-pom as it is used as base class for LocalH2

Revision afa66a6d - 08/26/2020 01:06 PM - Andreas Miiller

ref #9204 add commons-dbcp and commons-pool to taxeditor-test

Revision f99a438f - 08/26/2020 01:06 PM - Andreas Miiller

ref #9204 move junit and hamcrest (junit dependency) to pom and upgrade to 4.13

Revision 44952742 - 08/28/2020 10:43 AM - Andreas Miiller

ref #9204 add junit and hamcrest also to taxeditor.test so it can be removed from taxeditor.cdmlib in future

Revision 24b6b0ef - 08/28/2020 10:43 AM - Andreas Miiller

04/25/2024

6/12



ref #9204 fix hamcrest-core-1.3 handling

Revision 7a318f97 - 08/28/2020 10:43 AM - Andreas Miiller
ref #9204 fix hamcrest-core-1.3 handling (cont.)

Revision 41fb6986 - 08/28/2020 11:16 AM - Andreas Miiller

ref #9204 handle commons-dbcp and commons-pool in taxeditor.cdmlib and taxeditor.test

Revision 38af6cd2 - 08/31/2020 12:37 PM - Andreas Miiller

ref #9204 move fop to taxeditor.print and upgrade version

Revision 87a2c7e2 - 08/31/2020 12:54 PM - Andreas Miiller

ref #9204 remove exclusions for fop (as not valid for the new version anymore)

Revision 24048733 - 08/31/2020 01:19 PM - Andreas Miiller

ref #9204 move fop to taxeditor.print and upgrade version (cont.)

Revision 090d5fde - 08/31/2020 01:20 PM - Andreas Miiller

ref #9204 remove google-api-translate-java-0.92.jar from taxeditor.cdmlib

Revision 2d633a9d - 08/31/2020 01:24 PM - Andreas Miller

ref #9204 remove guava-19.0.jar from taxeditor.cdmlib

Revision 8d59e5ba - 08/31/2020 01:37 PM - Andreas Miuller

ref #9204 remove FastInfoset-1.2.13.jar from taxeditor.cdmlib

Revision 85edai1e - 08/31/2020 01:44 PM - Andreas Miiller

ref #9204 remove jakarta-regexp-1.4.jar from taxeditor.cdmlib

Revision 7d984018 - 08/31/2020 01:51 PM - Andreas Miiller

ref #9204 remove javax.el-2.2.6 from taxeditor.cdmlib

Revision 360e62dd - 08/31/2020 02:25 PM - Andreas Miuller

ref #9204 remove fixed avalon-framework version

Revision fc718568 - 08/31/2020 02:47 PM - Andreas Miiller

ref #9204 remove redundant commons-io dependencies (and doc)

Revision 17aae9c1 - 08/31/2020 03:30 PM - Andreas Miiller

ref #9204 remove hibernate-validator-cdi from taxeditor.cdmlib

Revision eb4c31a8 - 08/31/2020 03:30 PM - Andreas Miiller

ref #9204 remove remaining jaxb dependencies from taxeditor.cdmlib

Revision 514578f9 - 08/31/2020 04:14 PM - Andreas Miiller

ref #9204 partly revert removing of hibernate-validator dependencies in cdmlib

Revision 6¢5fb23d - 08/31/2020 04:24 PM - Andreas Miiller

ref #9204 remove jboss-transaction-api_1.1_spec-1.0.0.Final from taxeditor.cdmlib

Revision b92a4277 - 08/31/2020 04:25 PM - Andreas Miiller

ref #9204 remove objenesis-1.2 from taxeditor.cdmlib (easymock dependency, will add to taxeditor.test if required there)

Revision 305734b8 - 08/31/2020 04:54 PM - Andreas Miiller

ref #9204 reattach jboss-transaction-api_xxx_spec to taxeditor.cdmlib as tests are not running anymore

Revision 1e470560 - 08/31/2020 05:07 PM - Andreas Miiller
ref #9204 remove hibernate dependency jandex from taxeditor.cdmlib

Revision a07d1098 - 08/31/2020 05:35 PM - Andreas Miiller

ref #9204 update sqlserver driver to new and maven available version 8.4.1.jre8

Revision 88ef05d6 - 08/31/2020 05:38 PM - Andreas Miiller

ref #9204 update sqlserver driver to new and maven available version 8.4.1.jre8 (cont.)

Revision 0c3df88e - 08/31/2020 05:44 PM - Andreas Miiller

ref #9204 move SQL Server and Sybase driver to taxeditor.webapp only and update to latest version

Revision 3f719db - 08/31/2020 05:50 PM - Andreas Miiller
ref #9204 taglibs libraries from taxeditor.cdmlib

Revision 9f6e9080 - 08/31/2020 06:07 PM - Andreas Miiller

ref #9204 remove remaining jaxb dependencies from taxeditor.cdmlib (cont., remove istack-commons libraries)

Revision e482fcd5 - 08/31/2020 07:20 PM - Andreas Miiller
ref #9204 update jaxb to version 2.3.3

Revision 295b39a7 - 08/31/2020 07:34 PM - Andreas Miiller
ref #9204 update jaxb to version 2.3.3 (fix compile error with ZipWriter)

Revision a3d55d2f - 08/31/2020 07:41 PM - Andreas Miiller

ref #9204 remove cdmlib.print dependency Saxon from taxeditor.cdmlib (should be added to taxeditor.printpublisher if this is used in future)

Revision 21bac054 - 08/31/2020 07:48 PM - Andreas Miiller

ref #9204 remove paranamer-2.3 from taxeditor.cdmlib

Revision 07¢c450e5 - 08/31/2020 07:49 PM - Andreas Miiller

ref #9204 remove remaining jaxb dependencies from taxeditor.cdmlib (cont., remove istack-commons libraries) - fix MANIFEST.MF

Revision 273e3a79 - 08/31/2020 08:46 PM - Andreas Miiller

ref #9204 remove mchange-commons-java-0.2.11 from taxeditor.cdmlib

Revision bef0e02c - 08/31/2020 09:13 PM - Andreas Miiller

ref #9204 remove springfox/swagger dependencies from taxeditor.cdmlib

Revision 82a0a479 - 08/31/2020 09:14 PM - Andreas Miiller

ref #9204 remove jena dependencies from taxeditor.cdmlib

Revision cfc91fe1 - 08/31/2020 09:20 PM - Andreas Miiller

ref #9204 remove hibernate dependency dom4j from taxeditor.cdmlib

Revision 2878fcf8 - 08/31/2020 09:35 PM - Andreas Miiller

ref #9204 remove servlet-api from taxeditor.cdmlib

Revision 54¢84219 - 08/31/2020 09:37 PM - Andreas Miiller

ref #9204 remove snappy-java from taxeditor.cdmlib

Revision daa8053d - 08/31/2020 10:49 PM - Andreas Miuller

ref #9204 remove httpmime from taxeditor.cdmlib

Revision 4797cf24 - 08/31/2020 10:53 PM - Andreas Miiller

ref #9204 remove httpmime from taxeditor.cdmlib (cont.)

Revision 7933db8c - 09/01/2020 12:12 AM - Andreas Miiller

04/25/2024

8/12



ref #9204 remove persistence.dao from MANIFEST.MF export in taxeditor.cdmlib

Revision 180bb38e - 09/01/2020 12:25 AM - Andreas Miiller
ref #9204 revert removing cdmlib-persistencefrom MANIFEST.MF in taxeditor.cdmlib

Revision f06abdc2 - 09/01/2020 09:52 AM - Andreas Miiller
ref #9204 revert removing dao packages from taxeditor.cdmlib MANIFEST.MF

Revision cef595a2 - 09/01/2020 01:19 PM - Andreas Miiller

ref #9204 remove ooxml-schemas-1.4 from cdmlib-io (keep only poi-ooxml-schemas)

Revision ¢3149512 - 09/01/2020 02:13 PM - Andreas Miiller

ref #9204 try to remove org.ecipse:osgi from cdmlib-service and upgrade org.osgi.core to v6

Revision e0b7f901 - 09/01/2020 03:18 PM - Andreas Miiller

ref #9204 upgrade osgi.core to v7 and upgrade maven-bundle-plugin to 5.1.1

Revision ¢643903d - 09/01/2020 03:35 PM - Andreas Miiller
ref #9204 update maven-antrun-plugin to v 3.0.0

Revision 4f851db4 - 09/01/2020 03:58 PM - Andreas Miiller

ref #9204 move and comment hibernate3-maven-plugin for 001_cdm.ddl creation to cdmlib-test

Revision cd1b1721 - 09/01/2020 03:59 PM - Andreas Miller
ref #9204 update maven-jar-plugin to v 3.2.0

Revision 2a910618 - 09/01/2020 04:12 PM - Andreas Miiller

ref #9204 preliminary revert maven-antrun-plugin version in cdmlib-model

Revision d1bd1389 - 09/01/2020 04:27 PM - Andreas Miiller

ref #9204 update maven-resources-plugin to 2.7 (v3.x.x is available but needs adaptation) and cleanup

Revision 61311054 - 09/01/2020 08:56 PM - Andreas Miiller

ref #9204 remove aspectjrt and some other cleanup related to aspectj

Revision ca64773c - 09/01/2020 09:08 PM - Andreas Miiller

ref #9204 remove docx4j and dependencies from taxeditor.cdmlib

Revision 6aef3b0e - 09/01/2020 09:12 PM - Andreas Miiller

ref #9204 remove odfdom and odfdom-java from taxeditor.cdmlib (if at all needed in cdmlib-print)

Revision 7cb734eb - 09/01/2020 09:58 PM - Andreas Miuller
ref #9204 replace jaxb-api by jakarta.xml.bind-api in cdmlib

Revision fc24a0af - 09/01/2020 10:07 PM - Andreas Miiller

ref #9204 remove jaxb-api and javax.activation-api from taxeditor.cdmlib

Revision ec02ae73 - 09/02/2020 12:29 AM - Andreas Miiller

ref #9204 remove stax from cdmlib as it is included in java8

Revision 0319ea6d - 09/02/2020 12:56 AM - Andreas Muller

ref #9204 remove xml-apis from cdmlib as it is included in java8

Revision a589b634 - 09/02/2020 01:08 AM - Andreas Muller

ref #9204 remove xml-apis from cdmlib as it is included in java8 (cont.)

Revision 0¢c3e6f86 - 09/02/2020 01:08 AM - Andreas Miiller
ref #9204 fix parent pom

Revision Oafeecdf - 09/02/2020 01:24 AM - Andreas Miiller

ref #9204 revert removing xml-apis from cdmlib

Revision 7894¢090 - 09/02/2020 01:37 PM - Andreas Miiller

ref #9204 update to commons-codec 1.15 in cdmlib

Revision 7acd5ac9 - 09/02/2020 01:39 PM - Andreas Miiller

ref #9204 update to commons-codec 1.15 in taxeditor.cdmlib

Revision 700d5eee - 09/02/2020 01:39 PM - Andreas Miiller

ref #9204 remove solr dependencies from taxeditor.cdmlib

Revision 19d5d18b - 09/09/2020 02:31 PM - Andreas Miiller

ref #9204 adapt all spring application context xml configuration files to spring schema version 4.3

Revision 6b217d8c - 10/07/2020 11:27 AM - Andreas Miiller

ref #9204 some adaptation to latest dependencies to app-import

Revision 1879274b - 10/19/2020 04:19 PM - Andreas Miiller
ref #9204 update junit to 4.13.1 in TaxEditor

Revision 82e4e13a - 10/19/2020 04:20 PM - Andreas Miiller
ref #9204 update junit to 4.13.1 in cdmlib

Revision 107fdc7d - 10/19/2020 04:54 PM - Andreas Miiller
ref #9204 update junit to 4.13.1 in TaxEditor (cont.)

Revision f¢20040c - 11/17/2020 09:09 AM - Andreas Miiller

ref #9204 upgrade xstream version in cdmlib

Revision 233ae205 - 12/01/2020 01:45 PM - Andreas Miiller

ref #9204 upgrade postgresql driver to latest version

Revision 73192ab3 - 12/01/2020 02:26 PM - Andreas Miiller

ref #9204 remove some cdmlib-dbs from git and upgrade postgresq| version

Revision 8a79d625 - 12/01/2020 02:28 PM - Andreas Miiller
ref #9204 add jtds and mssql-jdbc-8.4.1.jre8 to gitignore

Revision 47d8963b - 12/01/2020 03:16 PM - Andreas Miuller

ref #9204 remove postgresqgl and mysqgl connector from taxeditor.cdmlib pom

Revision 4e6b7379 - 12/01/2020 03:21 PM - Andreas Miiller

ref #9204 remove postgresqgl and mysqgl connector from taxeditor.cdmlib pom (cont.)

Revision 99996219 - 12/01/2020 03:46 PM - Andreas Miiller
ref #9204 remove H2, postgresql and mysq|l fully from taxeditor.cdmlib

Revision 70ed1e1f - 12/01/2020 04:10 PM - Andreas Miiller

ref #9204, ref #9154 add cdmlib-remote-webapp.war to gitignore (not yet there because of renaming webapp->local

Revision 60942e5d - 12/01/2020 04:11 PM - Andreas Miiller

ref #9204, ref #9154 remove jtds and mssql from git in taxeditor.local

Revision 9306fdac - 12/02/2020 12:07 PM - Andreas Miiller
ref #4866, ref #9228 preliminary revert moving h2, postgresgl and mysgl from cdmlib to local and include mchange-commons-java in cdmlib

Revision ca0e1f12 - 12/02/2020 12:28 PM - Andreas Miiller
ref #4866, ref #9228 fix postgresql version number and add to gitignore

History

#1 - 08/20/2020 12:11 AM - Andreas Miiller
- Related to feature request #4716: Other dependencies to be updated added

#2 - 08/20/2020 10:10 AM - Andreas Miiller
- Description updated

- Status changed from New to In Progress

#3 - 08/20/2020 01:06 PM - Andreas Miiller

- Description updated

https://stackoverflow.com/questions/48323244/java-lang-nosuchmethoderror-javax-validation-bootstrapconfiguration-getclockpro

#4 - 08/24/2020 12:16 PM - Andreas Miuller

- Related to task #9205: Remove apache-log4j-extras from TaxEditor dependencies added

#5 - 08/24/2020 12:16 PM - Andreas Miuller

- Subject changed from Update cdmlib dependencies to Update cdmlib and taxeditor dependencies

#6 - 08/24/2020 12:17 PM - Andreas Miuller

- Description updated

#7 - 08/24/2020 12:19 PM - Andreas Miiller

- Description updated

#8 - 08/24/2020 12:20 PM - Andreas Miiller

- Description updated

#9 - 08/24/2020 12:24 PM - Andreas Miiller
- Related to feature request #9190: Make taxeditor.local a loadable plugin not installed by default added

#10 - 08/24/2020 12:25 PM - Andreas Miiller

- Related to task #9189: Move datasource view to taxeditor.local added

#11 - 08/24/2020 12:26 PM - Andreas Miiller

- Description updated

#12 - 08/24/2020 12:32 PM - Andreas Miiller

- Related to feature request #9154: Further reduce TaxEditor size by cleaning up dependencies and making taxeditor.webapp plugin optional added

#13 - 08/25/2020 04:08 PM - Andreas Miiller
- Related to task #9206: Solve cglib vs. cglib-nodep added

#14 - 08/25/2020 04:09 PM - Andreas Miiller

- Description updated

#15 - 08/25/2020 04:27 PM - Andreas Miiller

- Description updated

#16 - 08/25/2020 04:33 PM - Andreas Miiller

- Description updated
https://stackoverflow.com/questions/48323244/java-lang-nosuchmethoderror-javax-validation-bootstrapconfiguration-getclockpro

#17 - 08/25/2020 04:40 PM - Andreas Miiller
- Description updated

#18 - 08/25/2020 09:45 PM - Andreas Miiller
- Description updated

#19 - 08/25/2020 10:34 PM - Andreas Miiller
- Description updated

#20 - 08/25/2020 10:34 PM - Andreas Miiller
- Related to task #9208: Move cdmlib-print and cdmib-remote to taxeditor.printpublisher added

#21 - 12/03/2020 05:22 PM - Andreas Miiller

- Related to feature request #9341: Move local datasource access fully to taxeditor.local added

#22 - 12/08/2020 08:37 AM - Andreas Miiller

- Related to bug #9351 Include new locations for cdmlib-print and cdmlib-remote in jenkins release script added

#23 - 12/18/2020 11:18 PM - Andreas Miiller
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
| close this ticket as related to v5.18 and open a new one for the remaining (and new) issues

#24 - 12/18/2020 11:19 PM - Andreas Miiller
- Copied to task #9359: Update cdmlib, taxeditor, cdmserver etc. dependencies added

#25 - 10/26/2021 11:46 PM - Andreas Miiller
- Related to bug #6025: Remaining open issues for cdmlib-db added
